Loading...
Searching...
No Matches
LeafNode< ValueMask >::ValueOffIterator Class Reference

Visits all inactive values in a leaf node. More...

`#include <nanovdb/util/GridBuilder.h>`

Inheritance diagram for LeafNode< ValueMask >::ValueOffIterator:

## Public Member Functions

| ValueOffIterator ()
| ValueOffIterator (const LeafNode *parent)
ValueOffIterator & | operator= (const ValueOffIterator &)=default
bool | operator* () const
Coord | getCoord () const

## Detailed Description

Visits all inactive values in a leaf node.

## Constructor & Destructor Documentation

## ValueOffIterator() [1/2]

ValueOffIterator | ( |  | ) |

inline

## ValueOffIterator() [2/2]

ValueOffIterator | ( | const LeafNode< ValueMask > * | parent | ) |

inline

## Member Function Documentation

## getCoord()

Coord getCoord | ( |  | ) | const

inline

## operator*()

bool operator* | ( |  | ) | const

inline

## operator=()

ValueOffIterator & operator= | ( | const ValueOffIterator & |  | ) |

default